2

I am trying to build the Plutus Application Framework. I'm running on Archlinux and both Nix and cabal are installed properly as far as I can tell. I have also set the IOHK Binary Caches.

However when I run:

nix --extra-experimental-features nix-command build -f default.nix plutus-apps.haskell.packages.plutus-pab.components.library

I get these errors:

... error: 1 dependencies of derivation '/nix/store/rybllmjs40pk0b3fnvfd4hn1r37pi81a-yaml-lib-yaml-0.11.7.0-ghc-8.10.4.20210212-env.drv' failed to build error: 1 dependencies of derivation '/nix/store/q93ricp61fyv11nncqqsc1lqijafcj6l-zlib-bindings-lib-zlib-bindings-0.1.1.5-config.drv' failed to build error: 1 dependencies of derivation '/nix/store/ljdx0lff52b88gysr3zx737lk4vinh8a-zlib-bindings-lib-zlib-bindings-0.1.1.5-ghc-8.10.4.20210212-env.drv' failed to build error: 1 dependencies of derivation '/nix/store/39qxl421bhkzks2zrra7vy3yl6qqhsib-zlib-lib-zlib-0.6.2.3-config.drv' failed to build error: 1 dependencies of derivation '/nix/store/d121pfapibndwaxhfinb725ahdmkfvpy-zlib-lib-zlib-0.6.2.3-config.drv' failed to build error: 1 dependencies of derivation '/nix/store/s7h4anc03c53vmn5lv58b1rnj23l39z6-zlib-lib-zlib-0.6.2.3-ghc-8.10.4.20210212-env.drv' failed to build ...

I am new to all this and would like to know what I'm missing. Any solution will be highly appreciated.

2 Answers 2

1

Never mind. I figured out you have to run the command as root. My issue now is I am flagged I don't have enough space in my root partition. Luckily I already have a new drive so I will come back to the question if I still get an error once I've migrated to the new drive.

1
  • Your answer could be improved with additional supporting information. Please edit to add further details, such as citations or documentation, so that others can confirm that your answer is correct. You can find more information on how to write good answers in the help center.
    – Community Bot
    Jan 12 at 4:37
0

I transferred my system to a bigger drive. I can confirm running the command as root went without a problem. So I now have a local plutus framework installation. Marked as solved.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.